---
{%- from "haproxy/map.jinja" import haproxy with context %}
{% for filename in haproxy.maps %}
haproxy-maps-{{ filename }}:
  file.managed:
    - name: {{ haproxy.config.dir }}/maps/{{ filename }}
    - source: salt://haproxy/maps/{{ filename }}.j2
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0600"
    - template: jinja
    - watch_in:
      - service: haproxy-service
{% endfor %}

haproxy-config-main:
  file.managed:
    - name: {{ haproxy.config.dir }}/{{ haproxy.config.configfile }}
    - source: salt://haproxy/templates/haproxy.cfg.j2
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0600"
    - template: jinja
    - watch_in:
      - service: haproxy-service

haproxy-config-spoe:
  file.managed:
    - name: {{ haproxy.config.dir }}/spoe.cfg
    - source: salt://haproxy/templates/spoe.cfg.j2
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0600"
    - template: jinja
    - watch_in:
      - service: haproxy-service
