---
{%- from "haproxy/map.jinja" import haproxy with context %}
haproxy-pkg:
  pkg.installed:
    - pkgs: {{ haproxy.packages }}

haproxy-config-dir:
  file.directory:
    - name: {{ haproxy.config.dir }}
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0700"

{% for dir in haproxy.config.dirs %}
haproxy-config-{{ dir }}-dir:
  file.directory:
    - name: {{ haproxy.config.dir }}/{{ dir }}
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0700"
{% endfor %}

{% for file in haproxy.config.scripts %}
haproxy-script-{{ file.name }}:
  file.managed:
    - name: {{ haproxy.config.dir }}/{{ file.name }}
    - source: salt://haproxy/{{ file.name }}
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0700"
    - watch_in:
      - service: haproxy-service
{% endfor %}
